#!/bin/bash
zenity --question --title="Voice-note" --text="Click Validate to START recording"; gostart=$? 

if [ "$gostart" = 1 ]
	then
		echo "Operation canceled"
		exit
	else
		echo "Recording..."
fi
arecord -D hw -f cd  -v -t wav ~/rec-$(date +%Y-%m-%d-%H-%M).wav &
alsactl -f /usr/share/openmoko/scenarios/voip-handset.state restore &
zenity --info --title="Voice-note" --text="Click Validate to STOP recording"; gostop=$? 

killall -TERM arecord
alsactl -f /usr/share/openmoko/scenarios/gsmhandset.state restore
zenity --info --title="Voice note" --text="Your voice-note has been recorded"; goread=$? 